import 'package:flutter/material.dart';

class HomePage extends StatefulWidget {
  const HomePage({super.key});

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        actions: [],
        title: Text("主页"),
      ),
      body:
          // 布局：1、标题 支付演示 2、商品名称，数量，单价，总价，3、按钮组：微信支付，支付宝支付，Google支付，strip支付
          Column(
        children: [
          Text("支付演示"),
          Text("商品名称: 橘子"),
          Text("数量：1斤"),
          Text("单价：11元/斤"),
          Text("总价：11元"),
          Row(
            children: [
              ElevatedButton(
                onPressed: () {},
                child: Text("微信支付"),
              ),
              ElevatedButton(
                onPressed: () {},
                child: Text("支付宝支付"),
              ),
              ElevatedButton(
                onPressed: () {},
                child: Text("Google支付"),
              ),
              ElevatedButton(
                onPressed: () {},
                child: Text("Stripe支付"),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
